CVE-2004-2375
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:43:57
NMCOE    

[原文]Buffer overflow in the POP3 server in 1st Class Mail Server 4.0 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via an APOP USER command with a long second parameter (digest).


[CNNVD]1st Class Mail Server远程缓冲区溢出漏洞(CNNVD-200412-719)

        
        1st Class Mail Server是一款多功能邮件服务程序。
        1st Class Mail Server在处理APOP命令时对用户提交数据缺少充分检查,远程攻击者可以利用这个漏洞对EMAIL服务器进行缓冲区溢出攻击,可能以EMAIL服务器进程权限在系统上执行任意指令。
        传递包含超长字符串作为参数的APOP命令给服务器,可导致覆盖堆栈中保存的指令指针,精心构建提交数据可能以进程权限在系统上执行任意指令。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-2375
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-2375
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-719
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/15314
(UNKNOWN)  XF  1st-class-apop-dos(15314)
http://www.zone-h.org/advisories/read/id=4047
(VENDOR_ADVISORY)  MISC  http://www.zone-h.org/advisories/read/id=4047
http://www.securityfocus.com/bid/9794
(UNKNOWN)  BID  9794
http://www.osvdb.org/4129
(UNKNOWN)  OSVDB  4129
http://www.digiti.be/jeffosz/advisories/1stclasspop3.txt
(VENDOR_ADVISORY)  MISC  http://www.digiti.be/jeffosz/advisories/1stclasspop3.txt
http://secunia.com/advisories/11029
(VENDOR_ADVISORY)  SECUNIA  11029
http://securitytracker.com/id?1009279
(UNKNOWN)  SECTRACK  1009279

- 漏洞信息

1st Class Mail Server远程缓冲区溢出漏洞
高危 边界条件错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        1st Class Mail Server是一款多功能邮件服务程序。
        1st Class Mail Server在处理APOP命令时对用户提交数据缺少充分检查,远程攻击者可以利用这个漏洞对EMAIL服务器进行缓冲区溢出攻击,可能以EMAIL服务器进程权限在系统上执行任意指令。
        传递包含超长字符串作为参数的APOP命令给服务器,可导致覆盖堆栈中保存的指令指针,精心构建提交数据可能以进程权限在系统上执行任意指令。
        

- 公告与补丁

        厂商补丁:
        1st Class Internet Solutions
        ----------------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.1cis.com/

- 漏洞信息 (23787)

1st Class Internet Solutions 1st Class Mail Server 4.0 Remote Buffer Overflow Vulnerability (EDBID:23787)
multiple dos
2004-03-02 Verified
0 JeFFOsZ
N/A [点击下载]
source: http://www.securityfocus.com/bid/9794/info

1st Class Mail Server has been reported prone to a remote buffer overflow vulnerability. The issue exists due to a lack of sufficient boundary checks performed on user-supplied data.

A remote attacker may pass excessive data as an argument for an APOP command passed to the affected server. The attacker may exploit this issue to corrupt a saved instruction pointer and in doing so may potentially influence execution flow of the affected service into attacker-supplied instructions.

APOP user AAAA ... [626 * A] ... AAAA		

- 漏洞信息

4129
1st Class Mail Server APOP Digest Parameter DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Availability
Exploit Public

- 漏洞描述

1st Class Mail Server contains a flaw that may allow a remote denial of service. The issue is triggered when a long string is sent to the second parameter of the APOP USER command, and will result in loss of availability for the service.

- 时间线

2004-02-25 2004-02-25
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站